edfcat(1)

NAME
    edfcat -- EDF file channel mixer/converter.

SYNOPSIS
    edfcat OPERATION OPERANDS

DESCRIPTION

edfcat is a tool to manipulate EDF file channels. Currently, two operations are supported: (1) ascii->edf conversion (multichannel conversion restricted to channels with identical samplerate), and (2) channel pruning.

conv FILE.ascii SAMPLERATE RECORD_SIZE
    Convert samples in FILE.ascii into FILE.ascii.edf. Multiple columns in the source file will be converted as individual channels. On success, physical_min/max in each channel will be set to the absolute min/max of all channel data, widened symmetrically to whichever boundary is farther from 0 (thus, a range of -2:3 becomes -3:3, as will -3:2).

prune FILE.edf N1[,N2,...]
    Create a copy of source file (FILE-mod.edf) only keeping channels N1,N2,... (1-based).

SEE ALSO
aghermann(1), edfhed-gtk(1), edfhed(1).

AUTHOR
edfcat is written by Andrei Zavada <johnhommer@gmail.com> as part of the Aghermann project.